This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 222964 - Review Request: dayplanner - A simple time management program.
Review Request: dayplanner - A simple time management program.
Status: CLOSED DUPLICATE of bug 433488
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-01-17 00:09 EST by Jan Kovats
Modified: 2008-02-27 13:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-13 06:00:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Kovats 2007-01-17 00:09:39 EST
Spec URL: http://mercucio.homelinux.net/dayplanner.spec
SRPM URL: http://mercucio.homelinux.net/dayplanner-0.4.1-1.src.rpm
Description: Day planner is a simple time management program.

Day planner is designed to help you easily manage your time.
It can manage appointments, birthdays and more. It makes sure you
remember your appointments by popping up a dialog box reminding you about it.

This is my first Package and as far as I understand the whole concept I am in the need of a sponsor.
Comment 1 Mamoru TASAKA 2007-01-17 02:20:48 EST
(Please block both FE-NEW and FE-NEEDSPONSOR)
Comment 2 Jan Kovats 2007-01-17 05:37:27 EST
(In reply to comment #1)
> (Please block both FE-NEW and FE-NEEDSPONSOR)

Thanks for your help :)
Comment 3 Mamoru TASAKA 2007-02-01 02:05:25 EST
Well, I must say that your spec file contains
not a few issues to fix.
Please check:
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

From just I looked at your spec file:

A. Description entry
* Release
  - please add %{?_dist} entry unless you have a reason
    not to do so.
    http://fedoraproject.org/wiki/Packaging/DistTag
* Source0
  - please specify URL.
* BuildRequires
  - please remove redundant BuildRequires.
    "perl" is in minimum buildroot and required automatically
    by "perl-gettext", so this is not needed.
* %include_holidayparser
  - Currently I don't understand this well. If this package
    can use CPAN Date::HolidayParser module, you should
    not include perl module in this package and should
    submit CPAN module package instead.
    http://ftp.cpan.jp/authors/id/Z/ZE/ZERODOGG/

B. %build stage
   * Adding %build entry is preferred even if it is completely
    empty.

C. %install stage
   * "install -mXXX"
    - Use "install -p -mXXX" to keep timestamps.
   * Executable scripts/binaries install directory
    - By the way why do you install 
      "dayplanner dayplanner-daemon dayplanner-notifier" once
      into %{_datadir}/%{name} instead of directly
      installing into %{_bindir}?
   * Desktop file install
   - "install -m644 ./doc/%{name}.desktop"
     Please use desktop-file-install ("Desktop files" entry of
     http://fedoraproject.org/wiki/Packaging/Guidelines)

D. scriptlets
-------------------------------------------------------------
%post 
%{update_menus}

%postun
%{clean_menus}
-------------------------------------------------------------
   These macros are not defined. Check:
   http://fedoraproject.org/wiki/Extras/RPMMacros

E. file entry
   * macros
-------------------------------------------------------------
%{_iconsdir}/dayplanner*.png
%{_miconsdir}/dayplanner*.png
%{_liconsdir}/dayplanner*.png
%{_menudir}/%{name}
--------------------------------------------------------------
   These macros are also undefined.

  * subpackage
  - Would you explain why you want to split dayplanner-commander
    into different subpackage?
Comment 4 Mamoru TASAKA 2007-02-07 02:24:43 EST
ping?
Comment 5 Jan Kovats 2007-02-07 07:59:04 EST
(In reply to comment #4)
> ping?

Pong!
Ack
Sorry.
I'm very thankfull for all your notes. I looked at Guidlines and tried to do it
right the first time but i fergot a few things as you pointed out.
I didn't answer cause i was busy doing the changes. I didn't have that much time
the past few days.
But i'm soon going to update with and updated spec file and the holiday parser
as a seperate rpm.

Again thanks for taking the time and effort to look through my crude spec.
Comment 6 Mamoru TASAKA 2007-02-25 11:09:00 EST
again?
Comment 7 Mamoru TASAKA 2007-04-05 04:05:36 EDT
Again ping? I will close this bug in a week unless
any response is made on this bug.
Comment 8 Mamoru TASAKA 2007-04-13 05:59:31 EDT
Closing for now.

If you want to try this software, feel free to reopen
this bug.
Comment 9 Mamoru TASAKA 2008-02-27 13:05:00 EST

*** This bug has been marked as a duplicate of 433488 ***

Note You need to log in before you can comment on or make changes to this bug.